<?php
class ControllerPaymenteasypay extends Controller {
 
    private $error = array();

    public function index() {

		$this->load->language('payment/easypay');
		
		$this->document->setTitle($this->language->get('heading_title'));

		$this->load->model('setting/setting');

		if (($this->request->server['REQUEST_METHOD'] == 'POST') && $this->validate()) {
			$this->model_setting_setting->editSetting('easypay', $this->request->post);

			$this->session->data['success'] = $this->language->get('text_success');

			$this->redirect($this->url->link('extension/payment', 'token=' . $this->session->data['token'], 'SSL'));
		}

		//Установка переменных
		$this->data['heading_title']      = $this->language->get('heading_title');
		$this->data['button_save']        = $this->language->get('button_save');
		$this->data['button_cancel']      = $this->language->get('button_cancel');
		$this->data['error_warning']      = $this->language->get('error_warning');
		$this->data['merchant_label']     = $this->language->get('merchant_label');
		$this->data['merchant_comment']   = $this->language->get('merchant_comment');
		$this->data['webkey_label']       = $this->language->get('webkey_label');
		$this->data['webkey_comment']     = $this->language->get('webkey_comment');
		$this->data['expires_label']      = $this->language->get('expires_label');
		$this->data['expires_comment']    = $this->language->get('expires_comment');
		$this->data['debug_label']        = $this->language->get('debug_label');
		$this->data['debug_comment']      = $this->language->get('debug_comment');
		$this->data['text_enabled']       = $this->language->get('text_enabled');
		$this->data['text_disabled']      = $this->language->get('text_disabled');
		$this->data['status_label']       = $this->language->get('status_label');
		$this->data['sort_order_label']   = $this->language->get('sort_order_label');
		$this->data['text_all_zones']     = $this->language->get('text_all_zones');
		$this->data['pending_status']     = $this->language->get('pending_status');
		$this->data['cancel_status']	  = $this->language->get('cancel_status');
		$this->data['processing_status']   = $this->language->get('processing_status');
		
		$this->load->model('localisation/order_status');
		
		$this->data['order_statuses'] = $this->model_localisation_order_status->getOrderStatuses();

		$this->data['breadcrumbs'] = array();

   		$this->data['breadcrumbs'][] = array(
       		'text'      => $this->language->get('text_home'),
			'href'      => $this->url->link('common/home', 'token=' . $this->session->data['token'], 'SSL'),
      		'separator' => false
   		);

   		$this->data['breadcrumbs'][] = array(
       		'text'      => $this->language->get('text_payment'),
			'href'      => $this->url->link('extension/payment', 'token=' . $this->session->data['token'], 'SSL'),
      		'separator' => ' :: '
   		);

   		$this->data['breadcrumbs'][] = array(
       		'text'      => $this->language->get('heading_title'),
			'href'      => $this->url->link('payment/easypay', 'token=' . $this->session->data['token'], 'SSL'),      		
      		'separator' => ' :: '
   		);

		$this->data['action'] = $this->url->link('payment/easypay', 'token=' . $this->session->data['token'], 'SSL');
		
		$this->data['cancel'] = $this->url->link('extension/payment', 'token=' . $this->session->data['token'], 'SSL');

		if (isset($this->error['warning'])) {
			$this->data['error_warning'] = $this->error['warning'];
		} else {
			$this->data['error_warning'] = '';
		}
		
		if (isset($this->error['merchant'])) {
			$this->data['error_merchant'] = $this->error['merchaht'];
		} else {
			$this->data['error_merchant'] = '';
		}

		if (isset($this->error['webkey'])) {
			$this->data['error_webkey'] = $this->error['webkey'];
		} else {
			$this->data['error_webkey'] = '';
		}
		if (isset($this->error['expires'])) {
			$this->data['error_expires'] = $this->error['expires'];
		} else {
			$this->data['error_expires'] = '';
		}
		if (isset($this->error['debug'])) {
			$this->data['error_debug'] = $this->error['debug'];
		} else {
			$this->data['error_debug'] = '';
		}

		
		if (isset($this->request->post['merchant'])) {
			$this->data['merchant_value'] = $this->request->post['merchant'];
		} else {
			$this->data['merchant_value'] = $this->config->get('merchant');
		}
		if (isset($this->request->post['webkey'])) {
			$this->data['webkey_value'] = $this->request->post['webkey'];
		} else {
			$this->data['webkey_value'] = $this->config->get('webkey');
		}

		if (isset($this->request->post['expires'])) {
			$this->data['expires_value'] = $this->request->post['expires'];
		} elseif ($this->config->has('expires')) {
			$this->data['expires_value'] = $this->config->get('expires');
		} else {
			$this->data['expires_value'] = '2';
		}

		if (isset($this->request->post['debug'])) {
			$this->data['debug'] = $this->request->post['debug'];
		} else {
			$this->data['debug'] = $this->config->get('debug');
		}
		if (isset($this->request->post['easypay_sort_order'])) {
			$this->data['easypay_sort_order'] = $this->request->post['easypay_sort_order'];
		} else {
			$this->data['easypay_sort_order'] = $this->config->get('easypay_sort_order');
		}
		if (isset($this->request->post['easypay_status'])) {
			$this->data['easypay_status'] = $this->request->post['easypay_status'];
		} else {
			$this->data['easypay_status'] = $this->config->get('easypay_status');
		}
	
		if (isset($this->request->post['pending_status_id'])) {
			$this->data['pending_status_id'] = $this->request->post['pending_status_id'];
		} elseif ($this->config->has('pending_status_id')) {
			$this->data['pending_status_id'] = $this->config->get('pending_status_id');
		} else {
			$this->data['pending_status_id'] = '1';
		}

		if (isset($this->request->post['cancel_status_id'])) {
			$this->data['cancel_status_id'] = $this->request->post['cancel_status_id'];
		} elseif ($this->config->has('cancel_status_id')) {
			$this->data['cancel_status_id'] = $this->config->get('cancel_status_id');
		} else {
			$this->data['cancel_status_id'] = '10';
		}

		if (isset($this->request->post['processing_status_id'])) {
			$this->data['processing_status_id'] = $this->request->post['processing_status_id'];
		} elseif ($this->config->has('processing_status_id')) {
			$this->data['processing_status_id'] = $this->config->get('processing_status_id');
		} else {
			$this->data['processing_status_id'] = '2';
		}

		$this->template = 'payment/easypay.tpl';
		$this->children = array(
			'common/header',
			'common/footer'
		);
		$this->response->setOutput($this->render());
    }

	private function validate() {
		$this->error = false;
		if (!$this->error) {
			return TRUE;
		} else {
			return FALSE;
		}
	}
}
?>