<?php
class ControllerPaymenterip extends Controller {
 
    private $error = array();

    public function index() {

		$this->load->language('payment/erip');
		
		$this->document->setTitle($this->language->get('heading_title'));

		$this->load->model('setting/setting');

		if (($this->request->server['REQUEST_METHOD'] == 'POST') && $this->validate()) {
			$this->model_setting_setting->editSetting('erip', $this->request->post);

			$this->session->data['success'] = $this->language->get('text_success');

			$this->redirect($this->url->link('extension/payment', 'token=' . $this->session->data['token'], 'SSL'));
		}

		#установка переменных, значения берутся из локализационных файлов
		$this->data['heading_title']      = $this->language->get('heading_title');
		$this->data['button_save']        = $this->language->get('button_save');
		$this->data['button_cancel']      = $this->language->get('button_cancel');
		$this->data['error_warning']      = $this->language->get('error_warning');
		$this->data['merchant_label']     = $this->language->get('merchant_label');
		$this->data['merchant_comment']   = $this->language->get('merchant_comment');
		$this->data['webkey_label']       = $this->language->get('webkey_label');
		$this->data['webkey_comment']     = $this->language->get('webkey_comment');
		$this->data['expires_label']      = $this->language->get('expires_label');
		$this->data['expires_comment']    = $this->language->get('expires_comment');
		$this->data['text_enabled']       = $this->language->get('text_enabled');
		$this->data['text_disabled']      = $this->language->get('text_disabled');
		$this->data['status_label']       = $this->language->get('status_label');
		$this->data['sort_order_label']   = $this->language->get('sort_order_label');
		$this->data['text_all_zones']     = $this->language->get('text_all_zones');
		$this->data['pending_status']     = $this->language->get('pending_status');
		$this->data['cancel_status']	  = $this->language->get('cancel_status');
		$this->data['processing_status']  = $this->language->get('processing_status');
		
		$this->load->model('localisation/order_status');
		
		$this->data['order_statuses'] = $this->model_localisation_order_status->getOrderStatuses();

		$this->data['breadcrumbs'] = array();

   		$this->data['breadcrumbs'][] = array(
       		'text'      => $this->language->get('text_home'),
			'href'      => $this->url->link('common/home', 'token=' . $this->session->data['token'], 'SSL'),
      		'separator' => false
   		);

   		$this->data['breadcrumbs'][] = array(
       		'text'      => $this->language->get('text_payment'),
			'href'      => $this->url->link('extension/payment', 'token=' . $this->session->data['token'], 'SSL'),
      		'separator' => ' :: '
   		);

   		$this->data['breadcrumbs'][] = array(
       		'text'      => $this->language->get('heading_title'),
			'href'      => $this->url->link('payment/erip', 'token=' . $this->session->data['token'], 'SSL'),      		
      		'separator' => ' :: '
   		);

		$this->data['action'] = $this->url->link('payment/erip', 'token=' . $this->session->data['token'], 'SSL');
		
		$this->data['cancel'] = $this->url->link('extension/payment', 'token=' . $this->session->data['token'], 'SSL');

		if (isset($this->error['warning'])) {
			$this->data['error_warning'] = $this->error['warning'];
		} else {
			$this->data['error_warning'] = '';
		}
		
		if (isset($this->error['erip_merchant'])) {
			$this->data['error_erip_merchant'] = $this->error['erip_merchaht'];
		} else {
			$this->data['error_erip_merchant'] = '';
		}

		if (isset($this->error['erip_webkey'])) {
			$this->data['error_erip_webkey'] = $this->error['erip_webkey'];
		} else {
			$this->data['error_erip_webkey'] = '';
		}
		if (isset($this->error['erip_expires'])) {
			$this->data['error_erip_expires'] = $this->error['erip_expires'];
		} else {
			$this->data['error_erip_expires'] = '';
		}
	
		if (isset($this->request->post['erip_merchant'])) {
			$this->data['erip_merchant_value'] = $this->request->post['erip_merchant'];
		} else {
			$this->data['erip_merchant_value'] = $this->config->get('erip_merchant');
		}
		if (isset($this->request->post['erip_webkey'])) {
			$this->data['erip_webkey_value'] = $this->request->post['erip_webkey'];
		} else {
			$this->data['erip_webkey_value'] = $this->config->get('erip_webkey');
		}

		if (isset($this->request->post['erip_expires'])) {
			$this->data['erip_expires_value'] = $this->request->post['erip_expires'];
		} elseif ($this->config->has('erip_expires')) {
			$this->data['erip_expires_value'] = $this->config->get('erip_expires');
		} else {
			$this->data['erip_expires_value'] = '2';
		}
		if (isset($this->request->post['erip_sort_order'])) {
			$this->data['erip_sort_order'] = $this->request->post['erip_sort_order'];
		} else {
			$this->data['erip_sort_order'] = $this->config->get('erip_sort_order');
		}
		if (isset($this->request->post['erip_status'])) {
			$this->data['erip_status'] = $this->request->post['erip_status'];
		} else {
			$this->data['erip_status'] = $this->config->get('erip_status');
		}
	
		if (isset($this->request->post['erip_pending_status_id'])) {
			$this->data['erip_pending_status_id'] = $this->request->post['erip_pending_status_id'];
		} elseif ($this->config->has('erip_pending_status_id')) {
			$this->data['erip_pending_status_id'] = $this->config->get('erip_pending_status_id');
		} else {
			$this->data['erip_pending_status_id'] = '1';
		}

		if (isset($this->request->post['erip_cancel_status_id'])) {
			$this->data['erip_cancel_status_id'] = $this->request->post['erip_cancel_status_id'];
		} elseif ($this->config->has('erip_cancel_status_id')) {
			$this->data['erip_cancel_status_id'] = $this->config->get('erip_cancel_status_id');
		} else {
			$this->data['erip_cancel_status_id'] = '10';
		}

		if (isset($this->request->post['erip_processing_status_id'])) {
			$this->data['erip_processing_status_id'] = $this->request->post['erip_processing_status_id'];
		} elseif ($this->config->has('erip_processing_status_id')) {
			$this->data['erip_processing_status_id'] = $this->config->get('erip_processing_status_id');
		} else {
			$this->data['erip_processing_status_id'] = '2';
		}

		$this->template = 'payment/erip.tpl';
		$this->children = array(
			'common/header',
			'common/footer'
		);
		$this->response->setOutput($this->render());
    }

	private function validate() {
		$this->error = false;
		if (!$this->error) {
			return TRUE;
		} else {
			return FALSE;
		}
	}
}
?>